#include <stdio.h>
#include <stdlib.h>

//imamo niz elemenata, i treba da nadjemo odrdjeni 
//element ili INDEKS odrdjenog elementa koji zadjovoljava 
//odredjeni uslov

void greska(char *s)
{
	printf("Greska: %s\n", s);
	exit(EXIT_FAILURE);
}

int linearna_pretraga(int *a, int n, int x)
{	
	int i;
	for(i = 0; i < n; i++)
		if(a[i] == x)
			return i;
	
	return -1;
}

int main()
{
	int n, x, *a, i;
	int index;
	
	scanf("%d", &n);
	scanf("%d", &x);
	
	a = malloc(n * sizeof(int));
	if(a == NULL)
		greska("alokacija");
	
	for(i = 0; i < n; i++)
		scanf("%d", &a[i]);

	index = linearna_pretraga(a, n, x);
	printf("%d\n", index);
	free(a);
}